/*******************************************************************************
* File Name: ADC_SAR_1_INT.c
* Version 2.10
*
*  Description:
*    This file contains the code that operates during the ADC_SAR interrupt
*    service routine.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2013, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "ADC_SAR_1.h"


/******************************************************************************
* Custom Declarations and Variables
* - add user inlcude files, prototypes and variables between the following
*   #START and #END tags
******************************************************************************/
/* `#START ADC_SYS_VAR`  */

extern uint8 dataready1;
extern int16 result1;
/* `#END`  */


#if(ADC_SAR_1_IRQ_REMOVE == 0u)


    /******************************************************************************
    * Function Name: ADC_SAR_1_ISR
    *******************************************************************************
    *
    * Summary:
    *  Handle Interrupt Service Routine.
    *
    * Parameters:
    *  None.
    *
    * Return:
    *  None.
    *
    * Reentrant:
    *  No.
    *
    ******************************************************************************/
    CY_ISR( ADC_SAR_1_ISR )
    {
       result1=CY_GET_REG16(ADC_SAR_1_SAR_WRK0_PTR);
	   dataready1=1;
    }

#endif   /* End ADC_SAR_1_IRQ_REMOVE */

/* [] END OF FILE */
